/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.dussan.vaadin.dvirtual.i18n;

import java.io.Serializable;

public class Translation
    implements Serializable
{

    public static final long serialVersionUID = 4971030947922120602L;

    // application
    public static final String APPLICATION_CLOSE = "application.close";

    public static final String APPLICATION_CONNECT = "application.connect";

    public static final String APPLICATION_COMMAND = "application.command";

    public static final String APPLICATION_COMMAND_OPTIONS = "application.command.options";

    public static final String APPLICATION_ERROR_ADD = "application.error.add";

    public static final String APPLICATION_ERROR_CONNECT = "application.error.connect";

    public static final String APPLICATION_ERROR_CONNECTION = "application.error.connection";

    public static final String APPLICATION_ERROR_EXECUTE = "application.error.execute";

    public static final String APPLICATION_ERROR_EXISTS = "application.error.exists";

    public static final String APPLICATION_ERROR_INSTANCE = "application.error.instance";

    public static final String APPLICATION_ERROR_INSTANCE_FREE = "application.error.instance.free";

    public static final String APPLICATION_ERROR_INSTANCE_ONE = "application.error.instance.one";

    public static final String APPLICATION_ERROR_REMOVE = "application.error.remove";

    public static final String APPLICATION_INSTANCE = "application.instance";

    public static final String APPLICATION_INSTANCE_MOVE = "application.instance.move";

    public static final String APPLICATION_INSTANCE_TEST = "application.instance.test";

    public static final String APPLICATION_INSTANCE_UNLOCK = "application.instance.unlock";

    public static final String APPLICATION_NOTIFICATION_ERROR = "application.notification.error";

    public static final String APPLICATION_NOTIFICATION_INSTANCE_PREPARING = "application.notification.instance.preparing";

    public static final String APPLICATION_NOTIFICATION_INSTANCE_STARTING = "application.notification.instance.starting";

    public static final String APPLICATION_NOTIFICATION_RUNNING = "application.notification.running";

    public static final String APPLICATION_NOTIFICATION_STARTING = "application.notification.starting";

    public static final String APPLICATION_NOTIFICATION_USER = "application.notification.user";

    public static final String APPLICATION_REMOVE = "application.remove";

    public static final String APPLICATION_REMOVE_APPLICATIONS_GROUP = "application.remove.applications_group";

    public static final String APPLICATION_RUN_ERROR_INSTANCE = "application.run.error.instance";

    public static final String APPLICATION_RUN_ERROR_INSTANCE_FREE = "application.run.error.instance.free";

    public static final String APPLICATION_RUN_ERROR_START = "application.run.error.start";

    public static final String APPLICATION_START = "application.start";

    public static final String APPLICATION_STOP = "application.stop";

    public static final String APPLICATION_TEST_COMPLETE = "application.test.complete";

    public static final String APPLICATION_TEST_DISABLED = "application.test.disabled";

    public static final String APPLICATION_TEST_ERROR_APPLICATION = "application.test.error.application";

    public static final String APPLICATION_TEST_ERROR_FATAL = "application.test.error.fatal";

    public static final String APPLICATION_TEST_ERROR_INSTALL = "application.test.error.install";

    public static final String APPLICATION_TEST_ERROR_INSTANCE = "application.test.error.instance";

    public static final String APPLICATION_TEST_ERROR_LOCALE = "application.test.error.locale";

    public static final String APPLICATION_TEST_ERROR_SERVERS = "application.test.error.servers";

    public static final String APPLICATION_TEST_ERROR_SERVERS_SSH = "application.test.error.servers.ssh";

    public static final String APPLICATION_TEST_ERROR_USER = "application.test.error.user";

    public static final String APPLICATION_TEST_ERROR_XPRA = "application.test.error.xpra";

    public static final String APPLICATION_TEST_PREVIEW = "application.test.preview";

    public static final String APPLICATION_TEST_STATUS = "application.test.status";

    public static final String APPLICATION_TEST_STATUS_RUNNING = "application.test.status.running";

    public static final String APPLICATION_TEST_STATUS_STARTED = "application.test.status.started";

    public static final String APPLICATION_TEST_STATUS_STARTING = "application.test.status.starting";

    public static final String APPLICATION_TEST_STOP = "application.test.stop";

    public static final String APPLICATION_TESTING = "application.testing";

    public static final String APPLICATION_TITLE_EMPTY = "application.title.empty";

    public static final String APPLICATION_WAIT = "application.wait";

    // application groups
    public static final String APPLICATION_GROUPS = "application_groups";

    // applications
    public static final String APPLICATIONS = "applications";

    public static final String APPLICATIONS_MULTIPLE = "applications.multiple";

    public static final String APPLICATIONS_RUNNING = "applications.running";

    // applications group
    public static final String APPLICATIONS_GROUP_ERROR_ADD = "applications_group.error.add";

    public static final String APPLICATIONS_GROUP_ERROR_EXISTS = "applications_group.error.exists";

    public static final String APPLICATIONS_GROUP_ERROR_REMOVE = "applications_group.error.remove";

    public static final String APPLICATIONS_GROUP_INSTANCE = "applications_group.instance";

    public static final String APPLICATIONS_GROUP_REMOVE = "applications_group.remove";

    public static final String APPLICATIONS_GROUP_REMOVE_USER = "applications_group.remove.user";

    // bar
    public static final String BAR_NAVIGATION_APPLICATIONS = "bar.navigation.applications";

    public static final String BAR_NAVIGATION_APPLICATIONS_NEW = "bar.navigation.applications.new";

    public static final String BAR_NAVIGATION_APPLICATION_GROUPS = "bar.navigation.application_groups";

    public static final String BAR_NAVIGATION_APPLICATION_GROUPS_NEW = "bar.navigation.application_groups.new";

    public static final String BAR_NAVIGATION_IMPORT_DATA = "bar.navigation.import.data";

    public static final String BAR_NAVIGATION_IMPORT_DATA_SET = "bar.navigation.import.data.set";

    public static final String BAR_NAVIGATION_LOG_OUT = "bar.navigation.logout";

    public static final String BAR_NAVIGATION_SERVER_GROUPS = "bar.navigation.server_groups";

    public static final String BAR_NAVIGATION_SERVER_GROUPS_NEW = "bar.navigation.server_groups.new";

    public static final String BAR_NAVIGATION_SERVERS = "bar.navigation.servers";

    public static final String BAR_NAVIGATION_SERVERS_NEW = "bar.navigation.servers.new";

    public static final String BAR_NAVIGATION_SESSION_MANAGEMENT = "bar.navigation.session.management";

    public static final String BAR_NAVIGATION_USERS = "bar.navigation.users";

    public static final String BAR_NAVIGATION_USERS_NEW = "bar.navigation.users.new";

    public static final String BAR_OPTIONS_SCREEN = "bar.options.screen";

    public static final String BAR_RUNNING_APPLICATIONS_CLOSE = "bar.running_applications.close";

    // button
    public static final String BUTTON_APPLICATION_CLOSE = "button.application.close";

    public static final String BUTTON_APPLICATION_TEST = "button.application.test";

    public static final String BUTTON_APPLICATION_TEST_RUN = "button.application.test.run";

    public static final String BUTTON_APPLICATION_TEST_STOP = "button.application.test.stop";

    public static final String BUTTON_APPLICATIONS_CLOSE = "button.apllications.close";

    public static final String BUTTON_APPLICATIONS_LEAVE = "button.apllications.leave";

    public static final String BUTTON_APPLICATIONS_SERVER = "button.apllications.server";

    public static final String BUTTON_APPLICATIONS_SERVER_AUTO = "button.apllications.server.auto";

    public static final String BUTTON_CANCEL = "button.cancel";

    public static final String BUTTON_CLOSE = "button.close";

    public static final String BUTTON_CONNECT = "button.connect";

    public static final String BUTTON_CONNECT_TEST = "button.connect.test";

    public static final String BUTTON_DELETE = "button.delete";

    public static final String BUTTON_DOWNLOAD = "button.download";

    public static final String BUTTON_EDIT = "button.edit";

    public static final String BUTTON_FOLDER_ENTER = "button.folder.enter";

    public static final String BUTTON_FULL_SCREEN = "button.full_screen";

    public static final String BUTTON_ICON = "button.icon";

    public static final String BUTTON_IMPORT = "button.import";

    public static final String BUTTON_REMOVE_APPLICATION = "button.remove.application";

    public static final String BUTTON_REMOVE_APPLICATIONS_GROUP = "button.remove.applications_group";

    public static final String BUTTON_REMOVE_SERVER = "button.remove.server";

    public static final String BUTTON_REMOVE_SERVERS_GROUP = "button.remove.servers_group";

    public static final String BUTTON_REMOVE_USER = "button.remove.user";

    public static final String BUTTON_REMOVE_USERS_SESSION = "button.remove.users_session";

    public static final String BUTTON_SAVE = "button.save";

    public static final String BUTTON_SCREENSHOT = "button.screenshot";

    public static final String BUTTON_SELECT_ALL = "button.select.all";

    public static final String BUTTON_SELECT_NONE = "button.select.none";

    public static final String BUTTON_SHOW = "button.show";

    public static final String BUTTON_UPLOAD_FILE = "button.upload.file";

    public static final String BUTTON_UPLOAD_ICON = "button.upload.icon";

    public static final String BUTTON_WINDOW_CLOSE = "button.window.close";

    public static final String BUTTON_WINDOW_MAXIMIZE = "button.window.maximize";

    public static final String BUTTON_WINDOW_RESTORE = "button.window.restore";

    public static final String BUTTON_WINDOWS_ARRANGE = "button.windows.arrange";

    // data
    public static final String DATA_ERROR_ALLOWED = "data.error.allowed";

    public static final String DATA_ERROR_APPLICATION = "data.error.application";

    public static final String DATA_ERROR_APPLICATIONS_GROUP = "data.error.applications_group";

    public static final String DATA_ERROR_ICON = "data.error.icon";

    public static final String DATA_ERROR_IMPORT = "data.error.import";

    public static final String DATA_ERROR_SAVE = "data.error.save";

    public static final String DATA_ERROR_SERVER = "data.error.server";

    public static final String DATA_ERROR_SERVERS_GROUP = "data.error.servers_group";

    public static final String DATA_ERROR_SIZE = "data.error.size";

    public static final String DATA_ERROR_SIZE_FILE = "data.error.size.file";

    public static final String DATA_ERROR_UPLOAD = "data.error.upload";

    public static final String DATA_ERROR_USER = "data.error.user";

    public static final String DATA_FILTER_ALL = "data.filter.all";

    public static final String DATA_FILTER_NO = "data.filter.no";

    public static final String DATA_FILTER_YES = "data.filter.yes";

    public static final String DATA_IMPORT_NO = "data.import.no";

    public static final String DATA_IMPORT_OK = "data.import.ok";

    public static final String DATA_IMPORT_WAIT = "data.import.wait";

    public static final String DATA_UPLOAD = "data.upload";

    public static final String DATA_VALUE = "data.value";

    public static final String DATA_VALUE_1 = "data.value.1";

    public static final String DATA_VALUE_65535 = "data.value.65535";

    // field
    public static final String FIELD_ACTIVE = "field.active";

    public static final String FIELD_ADMINISTRATOR = "field.administrator";

    public static final String FIELD_ADDRESS = "field.address";

    public static final String FIELD_APPLICATION = "field.application";

    public static final String FIELD_APPLICATION_INSTANCE = "field.application.instance";

    public static final String FIELD_APPLICATION_MAX = "field.application.max";

    public static final String FIELD_APPLICATIONS_GROUP = "field.applications_group";

    public static final String FIELD_APPLICATIONS_GROUP_INSTANCE = "field.applications_group.instance";

    public static final String FIELD_COMMAND = "field.command";

    public static final String FIELD_COMMAND_OPTIONS = "field.command.options";

    public static final String FIELD_DAY = "field.day";

    public static final String FIELD_DOWNLOAD = "field.download";

    public static final String FIELD_ENABLED = "field.enabled";

    public static final String FIELD_FILE_SIZE = "field.file_size";

    public static final String FIELD_FILTER = "field.filter";

    public static final String FIELD_FOLDER = "field.folder";

    public static final String FIELD_FULL_SCREEN = "field.full_screen";

    public static final String FIELD_FULLNAME = "field.fullname";

    public static final String FIELD_ICON = "field.icon";

    public static final String FIELD_MODIFICATION = "field.modification";

    public static final String FIELD_MONTH = "field.month";

    public static final String FIELD_NAME = "field.name";

    public static final String FIELD_NOTE = "field.note";

    public static final String FIELD_PAZZWORD = "field.password";

    public static final String FIELD_SCREENSHOT = "field.screenshot";

    public static final String FIELD_SERVER = "field.server";

    public static final String FIELD_SERVER_SELECT = "field.server.select";

    public static final String FIELD_SERVER_SELECT_SHORT = "field.server.select.short";

    public static final String FIELD_SERVERS_GROUP = "field.servers_group";

    public static final String FIELD_SIZE = "field.size";

    public static final String FIELD_SSH = "field.ssh";

    public static final String FIELD_TIME = "field.time";

    public static final String FIELD_XPRA_MAX = "field.xpra.max";

    public static final String FIELD_XPRA_MIN = "field.xpra.min";

    public static final String FIELD_XPRA_VERSION = "field.xpra.version";

    public static final String FIELD_UPDATED = "field.updated";

    public static final String FIELD_UPDATED_FORMAT = "field.updated.format";

    public static final String FIELD_UPLOAD = "field.upload";

    public static final String FIELD_USERNAME = "field.username";

    public static final String FIELD_USERS = "field.users";

    // icons
    public static final String ICONS = "icons";

    // login
    public static final String LOGIN_ERROR_MESSAGE = "login.error.message";

    public static final String LOGIN_ERROR_TITLE = "login.error.title";

    public static final String LOGIN_PAZZWORD = "login.password";

    public static final String LOGIN_PAZZWORD_FORGOT = "login.password.forgot";

    public static final String LOGIN_SUBMIT = "login.submit";

    public static final String LOGIN_TITLE = "login.title";

    public static final String LOGIN_USERNAME = "login.username";

    // logout
    public static final String LOGOUT_APPLICATIONS = "logut.applications";

    // server
    public static final String SERVER_ERROR_ADD = "server.error.add";

    public static final String SERVER_ERROR_EXISTS = "server.error.exists";

    public static final String SERVER_ERROR_LOGIN = "server.error.login";

    public static final String SERVER_ERROR_REMOVE = "server.error.remove";

    public static final String SERVER_ERROR_RESPONDING = "server.error.responding";

    public static final String SERVER_ERROR_SECURITY = "server.error.security";

    public static final String SERVER_REMOVE = "server.remove";

    public static final String SERVER_REMOVE_SERVERS_GROUP = "server.remove.servers_group";

    public static final String SERVER_RESPONDING = "server.responding";

    public static final String SERVER_TEST = "server.test";

    public static final String SERVER_XPRA_MAX = "server.xpra.max";

    public static final String SERVER_XPRA_MIN = "server.xpra.min";

    public static final String SERVER_USERS = "server.users";

    // servers
    public static final String SERVERS = "servers";

    // servers group
    public static final String SERVERS_GROUP_ERROR_ADD = "servers_group.error.add";

    public static final String SERVERS_GROUP_ERROR_EXISTS = "servers_group.error.exists";

    public static final String SERVERS_GROUP_ERROR_REMOVE = "servers_group.error.remove";

    public static final String SERVERS_GROUP_REMOVE = "servers_group.remove";

    public static final String SERVERS_GROUP_REMOVE_APPLICATION = "servers_group.remove.application";

    // setup
    public static final String SETUP_ADMINISTRATION = "setup.administration";

    public static final String SETUP_APPLICATIONS = "setup.applications";

    public static final String SETUP_DELETE = "setup.delete";

    public static final String SETUP_SERVER_GROUPS = "setup.server_groups";

    public static final String SETUP_SERVERS = "setup.servers";

    public static final String SETUP_TESTING = "setup.testing";

    public static final String SETUP_USER = "setup.user";

    public static final String SETUP_USERS = "setup.users";

    // user
    public static final String USER_ERROR_ADD = "user.error.add";

    public static final String USER_ERROR_EXISTS = "user.error.exists";

    public static final String USER_ERROR_REMOVE = "user.error.remove";

    public static final String USER_REMOVE = "user.remove";

    // users session
    public static final String USERS_SESSION_ACTIVE = "users_session.active";

    public static final String USERS_SESSION_EXPIRED = "users_session.expired";

    public static final String USERS_SESSION_OCCUPIED = "users_session.occupied";

    public static final String USERS_SESSION_REMOVE = "users_session.remove";

    public static final String USERS_SESSION_WAIT = "users_session.wait";

}
