/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.icons;

import com.vaadin.flow.component.icon.Icon;

public enum TypIcon
{

    TIMES( "times" ),
    TICK( "tick" ),
    PLUS( "plus" ),
    MINUS( "minus" ),
    EQUALS( "equals" ),
    DIVIDE( "divide" ),
    CHEVRON_RIGHT( "chevron-right" ),
    CHEVRON_LEFT( "chevron-left" ),
    ARROW_RIGHT_THICK( "arrow-right-thick" ),
    ARROW_LEFT_THICK( "arrow-left-thick" ),
    TH_SMALL( "th-small" ),
    TH_MENU( "th-menu" ),
    TH_LIST( "th-list" ),
    TH_LARGE( "th-large" ),
    HOME( "home" ),
    ARROW_FORWARD( "arrow-forward" ),
    ARROW_BACK( "arrow-back" ),
    RSS( "rss" ),
    LOCATION( "location" ),
    LINK( "link" ),
    IMAGE( "image" ),
    ARROW_UP_THICK( "arrow-up-thick" ),
    ARROW_DOWN_THICK( "arrow-down-thick" ),
    STARBURST( "starburst" ),
    STARBURST_OUTLINE( "starburst-outline" ),
    STAR( "star" ),
    FLOW_CHILDREN( "flow-children" ),
    EXPORT( "export" ),
    DELETE( "delete" ),
    DELETE_OUTLINE( "delete-outline" ),
    CLOUD_STORAGE( "cloud-storage" ),
    WI_FI( "wi-fi" ),
    HEART( "heart" ),
    FLASH( "flash" ),
    CANCEL( "cancel" ),
    BACKSPACE( "backspace" ),
    ATTACHMENT( "attachment" ),
    ARROW_MOVE( "arrow-move" ),
    WARNING( "warning" ),
    USER( "user" ),
    RADAR( "radar" ),
    LOCK_OPEN( "lock-open" ),
    LOCK_CLOSED( "lock-closed" ),
    LOCATION_ARROW( "location-arrow" ),
    INFO( "info" ),
    USER_DELETE( "user-delete" ),
    USER_ADD( "user-add" ),
    MEDIA_PAUSE( "media-pause" ),
    GROUP( "group" ),
    CHART_PIE( "chart-pie" ),
    CHART_LINE( "chart-line" ),
    CHART_BAR( "chart-bar" ),
    CHART_AREA( "chart-area" ),
    VIDEO( "video" ),
    POINT_OF_INTEREST( "point-of-interest" ),
    INFINITY( "infinity" ),
    GLOBE( "globe" ),
    EYE( "eye" ),
    COG( "cog" ),
    CAMERA( "camera" ),
    UPLOAD( "upload" ),
    SCISSORS( "scissors" ),
    REFRESH( "refresh" ),
    PIN( "pin" ),
    KEY( "key" ),
    INFO_LARGE( "info-large" ),
    EJECT( "eject" ),
    DOWNLOAD( "download" ),
    ZOOM( "zoom" ),
    ZOOM_OUT( "zoom-out" ),
    ZOOM_IN( "zoom-in" ),
    SORT_NUMERICALLY( "sort-numerically" ),
    SORT_ALPHABETICALLY( "sort-alphabetically" ),
    INPUT_CHECKED( "input-checked" ),
    CALENDER( "calender" ),
    WORLD( "world" ),
    NOTES( "notes" ),
    CODE( "code" ),
    ARROW_SYNC( "arrow-sync" ),
    ARROW_SHUFFLE( "arrow-shuffle" ),
    ARROW_REPEAT( "arrow-repeat" ),
    ARROW_MINIMISE( "arrow-minimise" ),
    ARROW_MAXIMISE( "arrow-maximise" ),
    ARROW_LOOP( "arrow-loop" ),
    ANCHOR( "anchor" ),
    SPANNER( "spanner" ),
    PUZZLE( "puzzle" ),
    POWER( "power" ),
    PLANE( "plane" ),
    PI( "pi" ),
    PHONE( "phone" ),
    MICROPHONE( "microphone" ),
    MEDIA_REWIND( "media-rewind" ),
    FLAG( "flag" ),
    ADJUST_BRIGHTNESS( "adjust-brightness" ),
    WAVES( "waves" ),
    SOCIAL_TWITTER( "social-twitter" ),
    SOCIAL_FACEBOOK( "social-facebook" ),
    SOCIAL_DRIBBBLE( "social-dribbble" ),
    MEDIA_STOP( "media-stop" ),
    MEDIA_RECORD( "media-record" ),
    MEDIA_PLAY( "media-play" ),
    MEDIA_FAST_FORWARD( "media-fast-forward" ),
    MEDIA_EJECT( "media-eject" ),
    SOCIAL_VIMEO( "social-vimeo" ),
    SOCIAL_TUMBLER( "social-tumbler" ),
    SOCIAL_SKYPE( "social-skype" ),
    SOCIAL_PINTEREST( "social-pinterest" ),
    SOCIAL_LINKEDIN( "social-linkedin" ),
    SOCIAL_LAST_FM( "social-last-fm" ),
    SOCIAL_GITHUB( "social-github" ),
    SOCIAL_FLICKR( "social-flickr" ),
    AT( "at" ),
    TIMES_OUTLINE( "times-outline" ),
    PLUS_OUTLINE( "plus-outline" ),
    MINUS_OUTLINE( "minus-outline" ),
    TICK_OUTLINE( "tick-outline" ),
    TH_LARGE_OUTLINE( "th-large-outline" ),
    EQUALS_OUTLINE( "equals-outline" ),
    DIVIDE_OUTLINE( "divide-outline" ),
    CHEVRON_RIGHT_OUTLINE( "chevron-right-outline" ),
    CHEVRON_LEFT_OUTLINE( "chevron-left-outline" ),
    ARROW_RIGHT_OUTLINE( "arrow-right-outline" ),
    ARROW_LEFT_OUTLINE( "arrow-left-outline" ),
    TH_SMALL_OUTLINE( "th-small-outline" ),
    TH_MENU_OUTLINE( "th-menu-outline" ),
    TH_LIST_OUTLINE( "th-list-outline" ),
    NEWS( "news" ),
    HOME_OUTLINE( "home-outline" ),
    ARROW_UP_OUTLINE( "arrow-up-outline" ),
    ARROW_FORWARD_OUTLINE( "arrow-forward-outline" ),
    ARROW_DOWN_OUTLINE( "arrow-down-outline" ),
    ARROW_BACK_OUTLINE( "arrow-back-outline" ),
    TRASH( "trash" ),
    RSS_OUTLINE( "rss-outline" ),
    MESSAGE( "message" ),
    LOCATION_OUTLINE( "location-outline" ),
    LINK_OUTLINE( "link-outline" ),
    IMAGE_OUTLINE( "image-outline" ),
    EXPORT_OUTLINE( "export-outline" ),
    CROSS( "cross" ),
    WI_FI_OUTLINE( "wi-fi-outline" ),
    STAR_OUTLINE( "star-outline" ),
    MEDIA_PAUSE_OUTLINE( "media-pause-outline" ),
    MAIL( "mail" ),
    HEART_OUTLINE( "heart-outline" ),
    FLASH_OUTLINE( "flash-outline" ),
    CANCEL_OUTLINE( "cancel-outline" ),
    BEAKER( "beaker" ),
    ARROW_MOVE_OUTLINE( "arrow-move-outline" ),
    WATCH( "watch" ),
    WARNING_OUTLINE( "warning-outline" ),
    TIME( "time" ),
    RADAR_OUTLINE( "radar-outline" ),
    LOCK_OPEN_OUTLINE( "lock-open-outline" ),
    LOCATION_ARROW_OUTLINE( "location-arrow-outline" ),
    INFO_OUTLINE( "info-outline" ),
    BACKSPACE_OUTLINE( "backspace-outline" ),
    ATTACHMENT_OUTLINE( "attachment-outline" ),
    USER_OUTLINE( "user-outline" ),
    USER_DELETE_OUTLINE( "user-delete-outline" ),
    USER_ADD_OUTLINE( "user-add-outline" ),
    LOCK_CLOSED_OUTLINE( "lock-closed-outline" ),
    GROUP_OUTLINE( "group-outline" ),
    CHART_PIE_OUTLINE( "chart-pie-outline" ),
    CHART_LINE_OUTLINE( "chart-line-outline" ),
    CHART_BAR_OUTLINE( "chart-bar-outline" ),
    CHART_AREA_OUTLINE( "chart-area-outline" ),
    VIDEO_OUTLINE( "video-outline" ),
    POINT_OF_INTEREST_OUTLINE( "point-of-interest-outline" ),
    MAP( "map" ),
    KEY_OUTLINE( "key-outline" ),
    INFINITY_OUTLINE( "infinity-outline" ),
    GLOBE_OUTLINE( "globe-outline" ),
    EYE_OUTLINE( "eye-outline" ),
    COG_OUTLINE( "cog-outline" ),
    CAMERA_OUTLINE( "camera-outline" ),
    UPLOAD_OUTLINE( "upload-outline" ),
    SUPPORT( "support" ),
    SCISSORS_OUTLINE( "scissors-outline" ),
    REFRESH_OUTLINE( "refresh-outline" ),
    INFO_LARGE_OUTLINE( "info-large-outline" ),
    EJECT_OUTLINE( "eject-outline" ),
    DOWNLOAD_OUTLINE( "download-outline" ),
    BATTERY_MID( "battery-mid" ),
    BATTERY_LOW( "battery-low" ),
    BATTERY_HIGH( "battery-high" ),
    ZOOM_OUTLINE( "zoom-outline" ),
    ZOOM_OUT_OUTLINE( "zoom-out-outline" ),
    ZOOM_IN_OUTLINE( "zoom-in-outline" ),
    TAG( "tag" ),
    TABS_OUTLINE( "tabs-outline" ),
    PIN_OUTLINE( "pin-outline" ),
    MESSAGE_TYPING( "message-typing" ),
    DIRECTIONS( "directions" ),
    BATTERY_FULL( "battery-full" ),
    BATTERY_CHARGE( "battery-charge" ),
    PIPETTE( "pipette" ),
    PENCIL( "pencil" ),
    FOLDER( "folder" ),
    FOLDER_DELETE( "folder-delete" ),
    FOLDER_ADD( "folder-add" ),
    EDIT( "edit" ),
    DOCUMENT( "document" ),
    DOCUMENT_DELETE( "document-delete" ),
    DOCUMENT_ADD( "document-add" ),
    BRUSH( "brush" ),
    THUMBS_UP( "thumbs-up" ),
    THUMBS_DOWN( "thumbs-down" ),
    PEN( "pen" ),
    SORT_NUMERICALLY_OUTLINE( "sort-numerically-outline" ),
    SORT_ALPHABETICALLY_OUTLINE( "sort-alphabetically-outline" ),
    SOCIAL_LAST_FM_CIRCULAR( "social-last-fm-circular" ),
    SOCIAL_GITHUB_CIRCULAR( "social-github-circular" ),
    COMPASS( "compass" ),
    BOOKMARK( "bookmark" ),
    INPUT_CHECKED_OUTLINE( "input-checked-outline" ),
    CODE_OUTLINE( "code-outline" ),
    CALENDER_OUTLINE( "calender-outline" ),
    BUSINESS_CARD( "business-card" ),
    ARROW_UP( "arrow-up" ),
    ARROW_SYNC_OUTLINE( "arrow-sync-outline" ),
    ARROW_RIGHT( "arrow-right" ),
    ARROW_REPEAT_OUTLINE( "arrow-repeat-outline" ),
    ARROW_LOOP_OUTLINE( "arrow-loop-outline" ),
    ARROW_LEFT( "arrow-left" ),
    FLOW_SWITCH( "flow-switch" ),
    FLOW_PARALLEL( "flow-parallel" ),
    FLOW_MERGE( "flow-merge" ),
    DOCUMENT_TEXT( "document-text" ),
    CLIPBOARD( "clipboard" ),
    CALCULATOR( "calculator" ),
    ARROW_MINIMISE_OUTLINE( "arrow-minimise-outline" ),
    ARROW_MAXIMISE_OUTLINE( "arrow-maximise-outline" ),
    ARROW_DOWN( "arrow-down" ),
    GIFT( "gift" ),
    FILM( "film" ),
    DATABASE( "database" ),
    BELL( "bell" ),
    ANCHOR_OUTLINE( "anchor-outline" ),
    ADJUST_CONTRAST( "adjust-contrast" ),
    WORLD_OUTLINE( "world-outline" ),
    SHOPPING_BAG( "shopping-bag" ),
    POWER_OUTLINE( "power-outline" ),
    NOTES_OUTLINE( "note-outline" ),
    DEVICE_TABLET( "device-tablet" ),
    DEVICE_PHONE( "device-phone" ),
    DEVICE_LAPTOP( "device-laptop" ),
    DEVICE_DESKTOP( "device-desktop" ),
    BRIEFCASE( "briefcase" ),
    STOPWATCH( "stopwatch" ),
    SPANNER_OUTLINE( "spanner-outline" ),
    PUZZLE_OUTLINE( "puzzle-outline" ),
    PRINTER( "printer" ),
    PI_OUTLINE( "pi-outline" ),
    LIGHTBULB( "lightbulb" ),
    FLAG_OUTLINE( "flag-outline" ),
    CONTACTS( "contacts" ),
    ARCHIVE( "archive" ),
    WEATHER_STORMY( "weather-stormy" ),
    WEATHER_SHOWER( "weather-shower" ),
    WEATHER_PARTLY_SUNNY( "weather-partly-sunny" ),
    WEATHER_DOWNPOUR( "weather-downpour" ),
    WEATHER_CLOUDY( "weather-cloudy" ),
    PLANE_OUTLINE( "plane-outline" ),
    PHONE_OUTLINE( "phone-outline" ),
    MICROPHONE_OUTLINE( "microphone-outline" ),
    WEATHER_WINDY( "weather-windy" ),
    WEATHER_WINDY_CLOUDY( "weather-windy-cloudy" ),
    WEATHER_SUNNY( "weather-sunny" ),
    WEATHER_SNOW( "weather-snow" ),
    WEATHER_NIGHT( "weather-night" ),
    MEDIA_STOP_OUTLINE( "media-stop-outline" ),
    MEDIA_REWIND_OUTLINE( "media-rewind-outline" ),
    MEDIA_RECORD_OUTLINE( "media-record-outline" ),
    MEDIA_PLAY_OUTLINE( "media-play-outline" ),
    MEDIA_FAST_FORWARD_OUTLINE( "media-fast-forward-outline" ),
    MEDIA_EJECT_OUTLINE( "media-eject-outline" ),
    WINE( "wine" ),
    WAVES_OUTLINE( "waves-outline" ),
    TICKET( "ticket" ),
    TAGS( "tags" ),
    PLUG( "plug" ),
    HEADPHONES( "headphones" ),
    CREDIT_CARD( "credit-card" ),
    COFFEE( "coffee" ),
    BOOK( "book" ),
    BEER( "beer" ),
    VOLUME( "volume" ),
    VOLUME_UP( "volume-up" ),
    VOLUME_MUTE( "volume-mute" ),
    VOLUME_DOWN( "volume-down" ),
    SOCIAL_VIMEO_CIRCULAR( "social-vimeo-circular" ),
    SOCIAL_TWITTER_CIRCULAR( "social-twitter-circular" ),
    SOCIAL_PINTEREST_CIRCULAR( "social-pinterest-circular" ),
    SOCIAL_LINKEDIN_CIRCULAR( "social-linkedin-circular" ),
    SOCIAL_FACEBOOK_CIRCULAR( "social-facebook-circular" ),
    SOCIAL_DRIBBBLE_CIRCULAR( "social-dribbble-circular" ),
    TREE( "tree" ),
    THERMOMETER( "thermometer" ),
    SOCIAL_TUMBLER_CIRCULAR( "social-tumbler-circular" ),
    SOCIAL_SKYPE_OUTLINE( "social-skype-outline" ),
    SOCIAL_FLICKR_CIRCULAR( "social-flickr-circular" ),
    SOCIAL_AT_CIRCULAR( "social-at-circular" ),
    SHOPPING_CART( "shopping-cart" ),
    MESSAGES( "messages" ),
    LEAF( "leaf" ),
    FEATHER( "feather" );

    private static final String ICON_NAME = "%s:%s";

    private static final String ICON_NAME_SEPARATOR = ":";

    public static final String ICON_COLLECTION_NAME = "typicons";

    public static final String ICON_DESCRIPTION = "Typicons";

    private String name;

    TypIcon( String name )
    {
        this.name = name;
    }

    @SuppressWarnings( "deprecation" )
    public Icon create()
    {
        return new Icon( ICON_COLLECTION_NAME, name );
    }

    public String getIconName()
    {
        return String.format( ICON_NAME, ICON_COLLECTION_NAME, name );
    }
    

    public String getIconCollectionName( String iconName )
    {
        return iconName.split( ICON_NAME_SEPARATOR )[0];
    }


}
