/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.info;

import java.util.Calendar;
import java.util.Date;

import com.vaadin.flow.component.Html;
import com.vaadin.flow.component.html.Div;

public class PoweredByBar
    extends Div
{

    private static final long serialVersionUID = -5944626494424429558L;

    private static final String CLASS = "powered-by-dvirtual";

    private static final String POWERED_BY = "Powered by ";

    private static final String POWERED_BY_DUSAN = " © %s Dušan Vejnović";

    private static final String POWERED_BY_HREF = "<a href='https://www.dvirtual.org' target='_blank'>dVirtual</a>)";

    private static final String STYLE_MARGIN_TOP = "margin-top";

    private static final String STYLE_MARGIN_TOP_VALUE = "0px";

    public PoweredByBar()
    {
        Date date = new Date();
        Calendar calendar = Calendar.getInstance();
        calendar.setTime( date );

        add( POWERED_BY );
        add( new Html( POWERED_BY_HREF ) );
        add( String.format( POWERED_BY_DUSAN, calendar.get( Calendar.YEAR ) ) );
        addClassName( CLASS );
    }

    public void setFullScreen( boolean fullScreen )
    {
        getStyle().set( STYLE_MARGIN_TOP, fullScreen ? STYLE_MARGIN_TOP_VALUE : null );
    }

}
